QGIS Application - Feature request #859
Assign vector colors from column
2007-12-08 02:36 PM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10918
Description

A great vector feature would be the ability to set color for vector features from an RGB column. This could be done similarly to GRASS's
d.vect rgb_column assignment. See http://grass.itc.it/grass63/manuals/html63_user/d.vect.html

History

#1 - 2008-07-14 03:16 PM - Tim Sutton

Neat idea - maybe it would be better to use html style #AABBCC hex colour codes rather? Perhaps Magnus Homann would be interested in this....but |
think its better left for 2.0 since we are trying to avoid further ui changes and renderer changes at this point.

Regards

Tim

#2 - 2008-07-16 10:01 AM - John Tull

| agree with the roadmap change, unless someone already has it in the pipeline, which | doubt.

| would still see an RGB code being the default, or perhaps it can be set as an option. This is the standard in GRASS, so we should consider inoperability.

Again, maybe there can be an option to select between RGB columns or a single column that uses html codes.

#3 - 2009-01-12 05:05 PM - nikos -

Hi all!

Any news with respect to assigning colors from an RGB list (=column in a vector map's attribute table)? And why not adopt grass's philosophy
RRR:GGG:BBB.

| bombed into this ticket while searching for a way to automatically transfer the CORINE official colours from the grass database in qgis. It will be definetily

a useful feature.

Cheers, Nikos

#4 - 2009-01-12 08:13 PM - John Tull

That format was exactly my thinking. | really hope to see this sometime. Otherwise, going from a raster to a vector AND maintaining color formatting is very
difficult/impossible in Qgis. Is there another way?
#5 - 2011-12-25 10:16 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Assignee deleted (nobody -)

see also #3129

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have
#7 - 2013-04-15 11:17 AM - Jiirgen Fischer

- Status changed from Open to Closed
- Resolution set to fixed

implemented now.

#8 - 2014-05-27 10:19 PM - Miroslav Umlauf

Is there any description how is this implemented please?

#9 - 2014-08-08 08:20 AM - Andre Joost

Look for "Data defined properties", and these tutorials:

http:/gis.stackexchange.com/questions/60450/data-defined-styles-in-qgis

and

http://gis.stackexchange.com/questions/109894/color-lat-lon-points-in-given-rgb-data
